Subject: (urth) Ragnarok

From: CRCulver <crculver at aol.com>
Date: Wed, 04 Mar 1998 16:34:25 +0000

[Posted from URTH, a mailing list about Gene Wolfe's New Sun and other works]

Don't know if this has been pointed out already, but:

The story of Master Ash, his house, and Ragnarok is tied very much to Norse
mythology. The house compares with, as someone earlier said, the world-tree
Yggdrasil(sp?). In Norse mythology, it was said that the world would end when
a dragon eats the sun. In Dr. Talos' Play, the Prophet says a worm devours
the heart of the sun, or something to that effect. "Worm" is an old term for
"dragon" in English.

Christopher R. Culver <crculver at aol.com>
http://members.aol.com/crculver/index.html